<CsoundSynthesizer>
<CsOptions>

csound -s -d -odevaudio -b4096 -B4096 

</CsOptions>
<CsInstruments>

; Initialize the global variables.
sr = 44100
kr = 44100
ksmps = 1
nchnls = 1

#include "Example1_FLTK.inc"

;VCA envelope 1
gitemp1 ftgen 2, 0, 1024, -7, 0.0, 256, 1.0, 256, 0.3, 256, 0.3, 256, 0.0 
;VCA envelope 2
gitemp2 ftgen 3, 0, 1024, -7, 1.0, 1024, 0.0 
;VCA envelope 3
gitemp3 ftgen 4, 0, 1024, -7, 1.0, 512, 0.001, 512, 1.0
;VCA envelope 4 
gitemp4 ftgen 5, 0, 1024, -7, 0.0, 512, 1.0, 512, 1.0 

zakinit 3, 5

;-------------
;-------------
instr 1 
; LFO

itype = 2

k1 lfo gk1, gk2, itype

; VCO
  ; sine wave
  ifn = 1
  imode = 2

  a1 vco2 gk3, gk4 + k1, imode, gk5, 0, .5
  zawm a1, 1, 1 ;write vco + lfo to zak space

endin

;-------------
;-------------
instr 2
;NOISE
kbeta = .5

  a2 noise gk6, kbeta

  zawm a2, 1, 1 ;write filtered noise to zak space
endin

;-------------
;-------------
instr 3
;VCF
  kfco = 2000
  ; Scale the amplitude to 32768.
  iscale = 32768

  a3 zar 1 ;read za variable 1

  a4 moogvcf a3, kfco, gk9, iscale
  zawm a4, 2, 0 ;write VCF a-rate output to zak space
endin

;-------------
;-------------
instr 4
;VCA w/ENVELOPE

asig zarg 2, gk10 ;read a-rate from zak space and apply gain

 kcps init 1/p3 ;calculate kndx speed from table below
 kndx phasor kcps * gk12 ;multiplier increases speed

kenv tablekt kndx, int(gk11), 1, 0, 1 ;read thru table
 ;printk 1, kenv
 ;printk2 int(gk11)

out asig * kenv ;zak amp * gain from envelope table

zacl 0, 1 ;clear a-rate variables or they will increase and clip

endin


</CsInstruments>
<CsScore>

; Table #1, a sine wave.
f 1 0 65536 10 1

i1 0 160
i2 0 160
i3 0 160
i4 0 160

e


</CsScore>
</CsoundSynthesizer>
