<CsoundSynthesizer>
<CsOptions>

csound -s -d -odevaudio -b4096 -B4096 

</CsOptions>
<CsInstruments>

; Initialize the global variables.
sr = 44100
kr = 44100
ksmps = 1
nchnls = 2

#include "Example2_FLTK.inc"

zakinit 3, 5

;-------------
;-------------
instr 1 
; VCO w/PITCH wheel

gkpitch2 init 0
gkoct = octcps(gk6);convert cps to octptdecimal

;if pitch wheel unchecked use reg freq dial
if (gkbut1==0) then
	a1 vco2 gk5, gk6, 2, gk7, 0, .5
	zawm a1, 1, 1 ;write vco to zak space
	endif
;if mod wheel checked use 2-octave pitch variation
if (gkbut1==1) then  
	if (gkpitch >= 4) then
		gkpitch2 = (gkpitch % 4) * -1 ;invert pitch wheel
	elseif (gkpitch < 4) then
		gkpitch2 = 4 - (gkpitch % 4) 
	endif
		a1 vco2 gk5, cpsoct(gkoct + gkpitch2), 2, gk7, 0, .5
		zawm a1, 1, 1 ;write vco + lfo to zak space	
	endif
endin

;-------------
;-------------
instr 2
;VCF w/MOD wheel
; filter-cutoff frequency
  ifco = 2000

gkmod2 init 0
a2 zar 1 ;read za variable 1

;if mod wheel unchecked use set i-rate cutoff freq
if (gkbut2==0) then
	a3 moogvcf2 a2, ifco, gk9  ;gk9 is resonance
  	zawm a3, 2, 0 ;write VCF a-rate output to zak space
	endif
;if mod wheel checked use mod wheel k-rate cutoff freq
if (gkbut2==1) then
	gkmod2 = (gkmod * -1) + (8200) ; invert mod wheel
	a3 moogvcf2 a2, gkmod2, gk9
	zawm a3, 2, 0	
	endif
endin

;-------------
;-------------
instr 3
;AUDIO outs

asig zarg 2, 1 ;read a-rate from zak space w/no extra gain
outs asig , asig 

zacl 0, 1 ;clear a-rate variables or they will increase and clip

endin


</CsInstruments>
<CsScore>

i1 0 160
i2 0 160
i3 0 160
e

</CsScore>
</CsoundSynthesizer>
